> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post playlistscommandscreate



## OpenAPI

````yaml /api-reference/oda-media-service-1.0.0.yml post /playlists/commands/create
openapi: 3.0.1
info:
  title: oda-media-service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Available Media
    description: Search and retrieve available media from external providers
  - name: Video
    description: Video management operations
  - name: Playlist
    description: Playlist management operations
paths:
  /playlists/commands/create:
    post:
      operationId: create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePlaylist.CreatePlaylistCommand'
        required: true
      responses:
        '200':
          description: create 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaylistDto'
components:
  schemas:
    CreatePlaylist.CreatePlaylistCommand:
      required:
        - items
        - title
      type: object
      properties:
        title:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/PlaylistData.PlaylistItem'
    PlaylistDto:
      type: object
      properties:
        id:
          type: string
          description: Unique playlist identifier
        title:
          type: string
          description: Playlist title
        ownerId:
          type: string
          description: Owner user ID
        items:
          type: array
          description: List of playlist items
          items:
            $ref: '#/components/schemas/PlaylistData.PlaylistItem'
      description: Playlist data transfer object
    PlaylistData.PlaylistItem:
      required:
        - src
        - title
      type: object
      properties:
        title:
          type: string
        src:
          type: string

````